> ## Documentation Index
> Fetch the complete documentation index at: https://docs.krdata.pl/llms.txt
> Use this file to discover all available pages before exploring further.

# Zużycie dzienne

> Zużycie wspólnej puli zapytań (rejestr, obwieszczenia, BZP i analiza ryzyka) w rozbiciu na dni bieżącego okresu rozliczeniowego. Zapytanie nie zużywa puli.



## OpenAPI

````yaml /openapi.json get /v1/usage/daily
openapi: 3.1.0
info:
  title: krdata API
  description: >

    krdata udostępnia dane z polskich rejestrów gospodarczych (KRS, CRBR, KRZ,
    MSiG, RDF, biała lista VAT)

    w postaci jednego, spójnego API.


    Uwierzytelnianie odbywa się przez klucz API przekazywany w nagłówku
    `x-api-key`.

    Limity zapytań oraz pule (RDF, PDF, WPV, raporty) wynikają z wybranego
    abonamentu —

    szczegóły zwraca endpoint `GET /v1/usage/summary`.
  version: 0.1.0
servers:
  - url: https://api.krdata.pl
    description: Production
security: []
paths:
  /v1/usage/daily:
    get:
      tags:
        - Usage
      summary: Zużycie dzienne
      description: >-
        Zużycie wspólnej puli zapytań (rejestr, obwieszczenia, BZP i analiza
        ryzyka) w rozbiciu na dni bieżącego okresu rozliczeniowego. Zapytanie
        nie zużywa puli.
      operationId: usage-daily
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/UsageDaily'
      security:
        - APIKeyHeader: []
components:
  schemas:
    UsageDaily:
      properties:
        period_start:
          type: string
          format: date-time
          title: Period Start
        period_end:
          type: string
          format: date-time
          title: Period End
        days:
          items:
            $ref: '#/components/schemas/UsageDay'
          type: array
          title: Days
      type: object
      required:
        - period_start
        - period_end
        - days
      title: UsageDaily
    UsageDay:
      properties:
        day:
          type: string
          format: date
          title: Day
        units:
          type: integer
          title: Units
      type: object
      required:
        - day
        - units
      title: UsageDay
  securitySchemes:
    APIKeyHeader:
      type: apiKey
      in: header
      name: x-api-key

````